package domain

type AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页参数     */
	Page *AlibabaHmMarketingItemdiscountQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItemdiscountQueryitemsChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) SetPage(v AlibabaHmMarketingItemdiscountQueryitemsBasePageQuery) *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) SetByChannel(v bool) *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) SetChannelConfigList(v []AlibabaHmMarketingItemdiscountQueryitemsChannelConfig) *AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.ChannelConfigList = &v
	return s
}
